Nudge a conversation
curl --request POST \
--url https://api.hq.zone/v1/api/conversations/{id}/nudge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://api.hq.zone/v1/api/conversations/{id}/nudge"
payload = { "text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>'})
};
fetch('https://api.hq.zone/v1/api/conversations/{id}/nudge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"buffered": true,
"pending_count": 1
}Conversations
Nudge a conversation
Buffers an extra text message to be delivered to an agent turn that is currently in progress on the conversation, returning whether it was buffered and how many nudges are now pending. The caller must be a participant of the conversation (404 otherwise), and there must be an active turn to nudge, otherwise the request returns 409.
POST
/
v1
/
api
/
conversations
/
{id}
/
nudge
Nudge a conversation
Authorizations
bearer_patoauth2
Personal Access Token. Send as Authorization: Bearer hq_pat_....
Path Parameters
Conversation id
Body
application/json
⌘I